summaryrefslogtreecommitdiffstats
path: root/graphics/gimp-feca_hdr-plugin/gimp-feca_hdr-plugin.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/gimp-feca_hdr-plugin/gimp-feca_hdr-plugin.SlackBuild')
-rw-r--r--graphics/gimp-feca_hdr-plugin/gimp-feca_hdr-plugin.SlackBuild63
1 files changed, 63 insertions, 0 deletions
diff --git a/graphics/gimp-feca_hdr-plugin/gimp-feca_hdr-plugin.SlackBuild b/graphics/gimp-feca_hdr-plugin/gimp-feca_hdr-plugin.SlackBuild
new file mode 100644
index 0000000000..2008c4c008
--- /dev/null
+++ b/graphics/gimp-feca_hdr-plugin/gimp-feca_hdr-plugin.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Slackware build script for <feca_hdr>
+
+# Michales - clavisound - Michaloudes korgie@gmail.com <2012>
+
+PRGNAM=gimp-feca_hdr-plugin
+VERSION=${VERSION:-2010.04.26}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/feca_hdr.py.zip
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/gimp/2.0/plug-ins/
+mv feca_hdr.py $PKG/usr/lib${LIBDIRSUFFIX}/gimp/2.0/plug-ins/
+cd $PKG
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}